#!/bin/bash

# SpringBoot profile: dev or production
PROFILE="default" # debug = h2 db
#PROFILE="prod"   # production = postgresql

JAVA_OPTS="-Xms128m -Xmx512m -Dspring.profiles.active=$PROFILE"

APP_CMD="java $JAVA_OPTS -jar doi-csv-trunk.jar --v=3"


PROJECT=OHMCV


# Process inputs (datasets and partial) CSV to generate DOI documents and landing pages:
$APP_CMD --action=process --project=$PROJECT

if [ $? -ne 0 ]; then
  echo "step 1: java failed"
  exit 1
fi


echo "done."

